#include<bits/stdc++.h>

using namespace std;


int niz1[1000001];
int niz2[1000001];
vector<int> sol;

int main ()
{
	int n,k;
	cin >> n >> k;
	for(int i=0;i<n;i++)
	{
		int p;
		cin >> p;
		if(p >= 0)
		{
			niz1[p]++;
		}
		else
		{
			niz2[-p]++;
		}
	}
	int br=0;
	for(int i=0;i<=n;i++)
	{
		if(niz1[i] >= k)
		{
			br++;
			sol.push_back(i);
		}
		if(niz2[i] >= k)
		{
			br++;
			sol.push_back(-i);
		}
	}
	cout << br << endl;
	for(auto x : sol) cout << x << " ";
}